<?php
/**
 * Map Section options
 *
 * @package Theme Palace
 * @subpackage Chrisporate Pro
 * @since Chrisporate Pro 1.0.0
 */

// Add Map section
$wp_customize->add_section( 'chrisporate_pro_map_section', array(
	'title'             => esc_html__( 'Map Section','chrisporate-pro' ),
	'description'       => esc_html__( 'Map Section options.', 'chrisporate-pro' ),
	'panel'             => 'chrisporate_pro_front_page_panel',
) );

// Map content enable control and setting
$wp_customize->add_setting( 'chrisporate_pro_theme_options[map_section_enable]', array(
	'default'			=> 	$options['map_section_enable'],
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[map_section_enable]', array(
	'label'             => esc_html__( 'Map Section Enable', 'chrisporate-pro' ),
	'section'           => 'chrisporate_pro_map_section',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );

// map map content type setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[map_content_type]', array(
    'sanitize_callback' => 'chrisporate_pro_sanitize_select',
    'default'           => $options['map_content_type'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[map_content_type]', array(
	'active_callback'   => 'chrisporate_pro_is_map_section_enable',
    'label'             => esc_html__( 'Content Type', 'chrisporate-pro' ),
    'section'           => 'chrisporate_pro_map_section',
    'type'              => 'select',
    'choices'			=> array( 
		'embed' 		=> esc_html__( 'Embed', 'chrisporate-pro' ),
		'shortcode' 	=> esc_html__( 'Shortcode', 'chrisporate-pro' ),
		),
) );

// Add Map shortcode
$wp_customize->add_setting( 'chrisporate_pro_theme_options[map_content_shortcode]', array(
    'sanitize_callback' => 'sanitize_text_field',
    'default'           => $options['map_content_shortcode'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[map_content_shortcode]', array(
    'label'             => esc_html__( 'Input Map Shortcode', 'chrisporate-pro' ),
    'description'       => sprintf( '%1$s <a href="' . esc_url( 'https://wordpress.org/plugins/wp-google-maps/' ) .'" target="_blank"> %2$s </a> %3$s', esc_html__( 'Input shortcode from WP Google Maps Plugin', 'chrisporate-pro' ), esc_html__( 'Click Here', 'chrisporate-pro' ), esc_html__( 'to download plugin. Make the height value to 540px and width value to 100%.', 'chrisporate-pro' ) ),
    'section'           => 'chrisporate_pro_map_section',
    'type'              => 'text',
    'active_callback'   => 'chrisporate_pro_is_map_section_content_shortcode_enable',
) );

// Add Map embed
$wp_customize->add_setting( 'chrisporate_pro_theme_options[map_content_embed]', array(
    
    'sanitize_callback' => 'chrisporate_pro_santize_iframe_map',
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[map_content_embed]', array(
    'label'             => esc_html__( 'Input Map Embed Code', 'chrisporate-pro' ),
    'description'       => esc_html__( 'Notice: Please change width value to 100% and height value to 540.', 'chrisporate-pro' ),
    'section'           => 'chrisporate_pro_map_section',
    'type'              => 'textarea',
    'active_callback'   => 'chrisporate_pro_is_map_section_content_embed_enable',
) );