<?php
/**
 * Subscription Section options
 *
 * @package Theme Palace
 * @subpackage Chrisporate Pro
 * @since Chrisporate Pro 1.0.0
 */

// Add Subscription section
$wp_customize->add_section( 'chrisporate_pro_subscription_section', array(
	'title'             => esc_html__( 'Subscription Section','chrisporate-pro' ),
	'description'       => sprintf( '%1$s <a href="' . esc_url( 'https://wordpress.org/plugins/jetpack/' ) . '" target="_blank"> %2$s </a>', esc_html__( 'Note: Please install Jetpack and enable subscription module. To install Jetpack ', 'chrisporate-pro' ), esc_html__( 'Click Here', 'chrisporate-pro' ) ),
	'panel'             => 'chrisporate_pro_front_page_panel',
) );

// Subscription content enable control and setting
$wp_customize->add_setting( 'chrisporate_pro_theme_options[subscription_section_enable]', array(
	'default'			=> 	$options['subscription_section_enable'],
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[subscription_section_enable]', array(
	'label'             => esc_html__( 'Subscription Section Enable', 'chrisporate-pro' ),
	'section'           => 'chrisporate_pro_subscription_section',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );

// Subscription us title setting and control
$wp_customize->add_setting( 'chrisporate_pro_theme_options[subscription_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'          	=> $options['subscription_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[subscription_title]', array(
	'label'           	=> esc_html__( 'Title', 'chrisporate-pro' ),
	'section'        	=> 'chrisporate_pro_subscription_section',
	'active_callback' 	=> 'chrisporate_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'chrisporate_pro_theme_options[subscription_title]', array(
		'selector'            => '#subscribe .container .jetpack_subscription_widget h2.widgettitle',
		'settings'            => 'chrisporate_pro_theme_options[subscription_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'chrisporate_pro_subscription_title_partial',
    ) );
}