<?php
/**
 * Side Icon Menu options
 *
 * @package Theme Palace
 * @subpackage Chrisporate Pro
 * @since Chrisporate Pro 1.0.0
 */

// Add side icon menu section
$wp_customize->add_section( 'chrisporate_pro_side_menu', array(
	'title'               => esc_html__('Side Icon Menu','chrisporate-pro'),
	'description'         => sprintf( '%1$s <a target="_blank" href="' . esc_url( 'http://fontawesome.io/icons/' ) . '"> %2$s </a>', esc_html__( 'Select Icon ie: fa-check. See more at ', 'chrisporate-pro' ), esc_html__( 'Font awesome', 'chrisporate-pro' ) ),
	'panel'               => 'chrisporate_pro_theme_options_panel',
) );

// Menu setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[side_menu]', array(
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
	'default'             => $options['side_menu'],
) );

$wp_customize->add_control( new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[side_menu]', array(
	'label'               => esc_html__( 'Enable Homepage Side Icon Menu', 'chrisporate-pro' ),
	'section'             => 'chrisporate_pro_side_menu',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );

// About icons setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[about_menu_icon]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
	'default'				=> $options['about_menu_icon'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[about_menu_icon]', array(
	'label'           		=> esc_html__( 'About Icon', 'chrisporate-pro' ),
	'section'         		=> 'chrisporate_pro_side_menu',
	'type'					=> 'text',
	'active_callback' 		=> 'chrisporate_pro_is_side_menu_enable',
) );

// Service icons setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[service_menu_icon]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
	'default'				=> $options['service_menu_icon'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[service_menu_icon]', array(
	'label'           		=> esc_html__( 'Services Icon', 'chrisporate-pro' ),
	'section'         		=> 'chrisporate_pro_side_menu',
	'type'					=> 'text',
	'active_callback' 		=> 'chrisporate_pro_is_side_menu_enable',
) );

// Counter icons setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[counter_menu_icon]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
	'default'				=> $options['counter_menu_icon'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[counter_menu_icon]', array(
	'label'           		=> esc_html__( 'Counter Icon', 'chrisporate-pro' ),
	'section'         		=> 'chrisporate_pro_side_menu',
	'type'					=> 'text',
	'active_callback' 		=> 'chrisporate_pro_is_side_menu_enable',
) );

// Portfolio icons setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[portfolio_menu_icon]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
	'default'				=> $options['portfolio_menu_icon'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[portfolio_menu_icon]', array(
	'label'           		=> esc_html__( 'Portfolio Icon', 'chrisporate-pro' ),
	'section'         		=> 'chrisporate_pro_side_menu',
	'type'					=> 'text',
	'active_callback' 		=> 'chrisporate_pro_is_side_menu_enable',
) );

// Author icons setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[author_menu_icon]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
	'default'				=> $options['author_menu_icon'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[author_menu_icon]', array(
	'label'           		=> esc_html__( 'Author Icon', 'chrisporate-pro' ),
	'section'         		=> 'chrisporate_pro_side_menu',
	'type'					=> 'text',
	'active_callback' 		=> 'chrisporate_pro_is_side_menu_enable',
) );

// Latest Blog icons setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[latest_blog_menu_icon]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
	'default'				=> $options['latest_blog_menu_icon'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[latest_blog_menu_icon]', array(
	'label'           		=> esc_html__( 'Latest Blogs Icon', 'chrisporate-pro' ),
	'section'         		=> 'chrisporate_pro_side_menu',
	'type'					=> 'text',
	'active_callback' 		=> 'chrisporate_pro_is_side_menu_enable',
) );

// Testimonial icons setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[testimonial_menu_icon]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
	'default'				=> $options['testimonial_menu_icon'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[testimonial_menu_icon]', array(
	'label'           		=> esc_html__( 'Testimonial Icon', 'chrisporate-pro' ),
	'section'         		=> 'chrisporate_pro_side_menu',
	'type'					=> 'text',
	'active_callback' 		=> 'chrisporate_pro_is_side_menu_enable',
) );

// Team icons setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[team_menu_icon]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
	'default'				=> $options['team_menu_icon'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[team_menu_icon]', array(
	'label'           		=> esc_html__( 'Team Icon', 'chrisporate-pro' ),
	'section'         		=> 'chrisporate_pro_side_menu',
	'type'					=> 'text',
	'active_callback' 		=> 'chrisporate_pro_is_side_menu_enable',
) );

// Client icons setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[client_menu_icon]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
	'default'				=> $options['client_menu_icon'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[client_menu_icon]', array(
	'label'           		=> esc_html__( 'Client Icon', 'chrisporate-pro' ),
	'section'         		=> 'chrisporate_pro_side_menu',
	'type'					=> 'text',
	'active_callback' 		=> 'chrisporate_pro_is_side_menu_enable',
) );

// Contact icons setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[contact_menu_icon]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
	'default'				=> $options['contact_menu_icon'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[contact_menu_icon]', array(
	'label'           		=> esc_html__( 'Menu Icon', 'chrisporate-pro' ),
	'section'         		=> 'chrisporate_pro_side_menu',
	'type'					=> 'text',
	'active_callback' 		=> 'chrisporate_pro_is_side_menu_enable',
) );