<?php
/**
 * Snow Fall options
 *
 * @package Theme Palace
 * @subpackage Chrisporate Pro
 * @since Chrisporate Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'chrisporate_pro_snow', array(
	'title'               => esc_html__('Snow Fall','chrisporate-pro'),
	'description'         => esc_html__( 'Snow Fall options.', 'chrisporate-pro' ),
	'panel'               => 'chrisporate_pro_theme_options_panel',
) );

// Snow fall effect setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[snow_fall]', array(
	'default'           => $options['snow_fall'],
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[snow_fall]', array(
	'label'             => esc_html__( 'Enable Snow Fall', 'chrisporate-pro' ),
	'description'       => esc_html__( 'Note: Snow fall will only work on Xmas color theme.', 'chrisporate-pro' ),
	'section'           => 'chrisporate_pro_snow',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );