<?php
/**
 * Map section
 *
 * This is the template for the content of map section
 *
 * @package Theme Palace
 * @subpackage Chrisporate Pro
 * @since Chrisporate Pro 1.0.0
 */
if ( ! function_exists( 'chrisporate_pro_add_map_section' ) ) :
    /**
    * Add map section
    *
    *@since Chrisporate Pro 1.0.0
    */
    function chrisporate_pro_add_map_section() {
    	$options = chrisporate_pro_get_theme_options();
        // Check if map is enabled on frontpage
        $map_enable = apply_filters( 'chrisporate_pro_section_status', true, 'map_section_enable' );

        if ( true !== $map_enable ) {
            return false;
        }
        // Render map section now.
        chrisporate_pro_render_map_section();
    }
endif;
add_action( 'chrisporate_pro_footer_content', 'chrisporate_pro_add_map_section', 20 );

if ( ! function_exists( 'chrisporate_pro_render_map_section' ) ) :
  /**
   * Start map section
   *
   * @return string map content
   * @since Chrisporate Pro 1.0.0
   *
   */
   function chrisporate_pro_render_map_section() {
        $options = chrisporate_pro_get_theme_options();
        $map_content_embed      = ! empty( $options['map_content_embed'] ) ? $options['map_content_embed'] : '';
        $map_content_shortcode  = ! empty( $options['map_content_shortcode'] ) ? $options['map_content_shortcode'] : '';

        if ( 'shortcode' === $options['map_content_type'] ) {
            if ( empty( $map_content_shortcode ) )
                return false;
        }
        elseif ( 'embed' === $options['map_content_type'] ) {
            if ( empty( $map_content_embed ) )
                return false;
        }
        ?>
        <div id="map" class="relative clear">
            <?php 
            if ( $options['map_content_type'] == 'shortcode' ){
                echo do_shortcode( wp_kses_post( $map_content_shortcode ) );
            } elseif ( $options['map_content_type'] == 'embed'  ) {
                echo chrisporate_pro_santize_iframe_map( $map_content_embed );
            }
            ?>
        </div><!-- #map -->
    <?php
    }
endif;